package task3;

import task2.BigFerry;
import task2.IFerry;
import task2.SmallFerry;
import test.FerryApplication;

public class TestTask3 {
    public static void test3() {
        FactoryFactory ferryFactory = FactoryFactory.INSTANCE;
        IFerry smallFerry = ferryFactory.createFerry(task3.FerryType.SMALL);
        IFerry bigFerry = ferryFactory.createFerry(FerryType.BIG);
        if (smallFerry instanceof SmallFerry && bigFerry instanceof BigFerry) {
            System.out.println("TASK3   : COMPLETED");
            FerryApplication.points += 2;
        } else {
            System.out.println("TASK3   : FAIL");
        }
        FerryApplication.printSeparator();
    }
}
